#include <unistd.h>
#include "misc.h"

/* send_cmds()
 * send decided commands to socket descriptor
 * on error, returns 1
 * on success, returns 0
 */
char send_cmds (gdsd, sbytes)
	lx_gd *gdsd;
	unsigned long *sbytes;
{
	int i;
	char retval = 0;

	/* don't write, just read */
	if (!opt_S.v_opt.opt_stringlist) return 0;

	*sbytes = 0;

	/* write */
	for (i = 0; i < opt_S.v_opt.opt_stringlist->n; i++) {
		*sbytes += strlen(opt_S.v_opt.opt_stringlist->sl[i]); /*kludge*/
		lx_gdputs (gdsd, opt_S.v_opt.opt_stringlist->sl[i]);
		lx_gdputc (gdsd, '\n');
		if (lx_gdflush (gdsd)) retval = 1;
	}

	/* prepare for reading now */
	LX_gdrw (gdsd);

	return retval;
}

